#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange_localdev
    importQueue: sitImportQueue_localdev
    importkey: sitImportExchange.failureImportKey_localdev

    # Exportkanal
    exportExchange: sitExportExchange_localdev
    exportQueue: sit_stoerungsauskunft_export_queue_localdev
    exportKey: sit_stoerungsauskunft_export_key_localdev

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR

eureka:
  client:
    service-url:
      defaulZone: http://localhost:8761/
  instance:
    prefer-ip-address: true

index-channel:
  enabled: true

server:
  port: 9195
  max-http-header-size: 262144
  servlet:
    session:
      tracking-modes: cookie

feign:
  client:
    config:
      default:
        connectTimeout: 5000
        readTimeout: 5000
        loggerLevel: FULL

logging.level.org.eclipse.openk.gridfailureinformation.jobs.stoerauskunftinterface.api.StoerauskunftApi: DEBUG

cors:
  corsEnabled: true

stoerungsauskunft:
  apiUrl: https://stage-api-operator.stoerungsauskunft.de/api/v1.0/
  user: ${GFI_STOERUNGSAUSKUNFT_USERNAME}
  password: ${GFI_STOERUNGSAUSKUNFT_PASSWORD}
  scheduling-import:
    enabled: false
    cron: 0 */15 * ? * *

gridFailureInformation:
  autopublish: false
  onceOnlyImport: false
  excludeEquals: true
  excludeAlreadyEdited: false

security.endpoint:
  user: ${GFI_MANUAL_ENDPOINTS_USERNAME}
  password: ${GFI_MANUAL_ENDPOINTS_PASSWORD}

---

spring:
  config:
    activate:
      on-profile: dev-db
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange_localdev
    importQueue: sitImportQueue_localdev
    importkey: sitImportExchange.failureImportKey_localdev

    # Exportkanal
    exportExchange: sitExportExchange_localdev
    exportQueue: sit_stoerungsauskunft_export_queue_localdev
    exportKey: sit_stoerungsauskunft_export_key_localdev
